View Issue Details

IDProjectCategoryView StatusLast Update
0002434SketcherFeaturepublic2017-10-18 19:19
Reporterjmaustpc Assigned Towmayer  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platform64 bitOSKubuntuOS Version14.04
Product Version0.16 
Target Version0.17Fixed in Version0.17 
Summary0002434: merge sketches produces sketch on XY plane when original sketches were on XZ
Descriptionmerging two sketches on the XZ plane will produce a sketch on the XY plane.
Steps To Reproducecreate two new sketches, each time selecting the XZ plane in the creation dialogue, enter some simple geometry, use Sketcher "merge sketches", then result will correctly merge the elements within the sketch but mount the new merged sketch to the (default) XY plane.
Additional InformationOS: Ubuntu 14.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6274 (Git)
Build type: Release
Branch: master
Hash: cbdd18cef6338038ed9e06a1773d4d55f231e46e
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.
FreeCAD Information

Activities

jmaustpc

2016-02-03 03:59

manager  

sketchplanesexamplemergersketches.fcstd (14,068 bytes)

jmaustpc

2016-02-03 04:04

manager   ~0006800

in a simple example where all the sketches are on the same plane the solution seems logical, the output merged sketch could logically be expected to be also placed on the same plane.

However when sketches mounted on different planes are merged, then desired output could be less certain.

Perhaps a solution could be to invoke a plane selection dialogue similar to that which pops up when you select "create new sketch" with nothing selected, and use that to select the desired output sketch plane?

I have added a simple example file with four sketches, one each on each plane containing a 1, 2 or 3 and the result of 'merge sketches' which is on the xy plane.

jmaustpc

2016-02-03 04:07

manager   ~0006801

this is a link to the Help forum topic.

http://forum.freecadweb.org/viewtopic.php?f=3&t=14105&p=112829#p112829

jmaustpc

2016-02-03 08:13

manager   ~0006802

A clarification.....it makes no difference which face of a solid, or which plane, the original sketches were mapped to, the resultant new "merge" sketch will currently always be on XY plane.

yorik

2016-02-12 16:13

administrator   ~0006826

This should not be targeted for 0.16 if nobody will take the bug I think, otherwise it will delay 0.16 forever... I'll remove the target version for now

jmaustpc

2016-02-13 12:55

manager   ~0006829

Hi Yorik, I agree, Also this is really more of a feature request that a bug, I think, so leaving it until after 0.16 sounds appropriate to me. :-)

Kunda1

2017-02-08 12:42

administrator   ~0008238

Changed to 'Feature'

Kunda1

2017-07-08 14:36

administrator   ~0009679

@Abdullah thought?

wmayer

2017-10-18 19:19

administrator   ~0010322

https://github.com/FreeCAD/FreeCAD/commit/f5b6694c83c3519e37f5905f95997e384760feff

I think using the placement of the first sketch of the selection is a pragmatic way.

Issue History

Date Modified Username Field Change
2016-02-03 03:53 jmaustpc New Issue
2016-02-03 03:59 jmaustpc File Added: sketchplanesexamplemergersketches.fcstd
2016-02-03 04:04 jmaustpc Note Added: 0006800
2016-02-03 04:07 jmaustpc Note Added: 0006801
2016-02-03 08:13 jmaustpc Note Added: 0006802
2016-02-12 16:13 yorik Note Added: 0006826
2016-02-12 16:13 yorik Target Version 0.16 =>
2016-02-13 12:55 jmaustpc Note Added: 0006829
2017-02-08 12:42 Kunda1 Note Added: 0008238
2017-02-08 12:42 Kunda1 Status new => acknowledged
2017-02-08 12:42 Kunda1 Category Bug => Feature
2017-07-08 14:36 Kunda1 Note Added: 0009679
2017-09-25 08:12 wmayer Target Version => 0.17
2017-10-18 19:19 wmayer Assigned To => wmayer
2017-10-18 19:19 wmayer Status acknowledged => closed
2017-10-18 19:19 wmayer Resolution open => fixed
2017-10-18 19:19 wmayer Fixed in Version => 0.17
2017-10-18 19:19 wmayer Note Added: 0010322